﻿using Microsoft.AspNetCore.SignalR;
using System.Threading.Tasks;
using System.IO;
using Microsoft.Extensions.Logging;
using System;

namespace ChatSample.Hubs
{
    public interface IApiMessage { }
    public class W2CMsgGetListReq : IApiMessage
    {
        public string account;
    }


    public class ChatHub : Hub
    {
        private ILogger _logger;
        public ChatHub(ILogger<ChatHub> logger)
        {
            _logger = logger;
        }
        public void Send(string name, string message)
        {
            // Call the broadcastMessage method to update clients.
            Clients.All.SendAsync("broadcastMessage", name, message);
        }
        public async Task MessageBoxGetList(string resKey, W2CMsgGetListReq req)
        {
            _logger.LogInformation("MessageBoxGetList: {0}", req.account);
            System.Threading.Thread.Sleep(2 * 1000);
        }
        public override Task OnDisconnectedAsync(Exception exception)
        {
            _logger.LogInformation("OnDisconnectedAsync: {0}", exception);
            return base.OnDisconnectedAsync(exception);
        }
    }
}